Package org.eclipse.ui.services

## Interface ISourceProviderService

    public interface ISourceProviderService

A service from which all of the source providers can be retrieved.

This service can be acquired from your service locator:

     ISourceProviderService service = (ISourceProviderService) getSite().getService(ISourceProviderService.class);

- This service is available globally.

Since:
  3.4
See Also:
  `IEvaluationService`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ISourceProvider` `getSourceProvider​(String sourceName)` Retrieves a source provider providing the given source.
`ISourceProvider[]` `getSourceProviders()` Retrieves all of the source providers registered with this service at the time of this call.

### Method Detail

#### getSourceProvider

    ISourceProvider getSourceProvider​(String sourceName)

Retrieves a source provider providing the given source. This is used by clients who only need specific sources.

Parameters:
  `sourceName` - The name of the source; must not be `null`.
Returns:
  A source provider which provides the request source, or `null` if no such source exists.
See Also:
  `ISources`

#### getSourceProviders

    ISourceProvider[] getSourceProviders()

Retrieves all of the source providers registered with this service at the time of this call.

`org.eclipse.ui.services.IEvaluationService` can be used to receive notifications about source variable changes and to evaluate core expressions against source providers.

Returns:
  The source providers registered with this service. This value is never `null`, but may be empty.